As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 621686 - Enable IDN for .ua
: Enable IDN for .ua
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla2.0
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-28 06:49 PST by Gervase Markham [:gerv]
Modified: 2011-03-14 02:44 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.17-fixed
.19-fixed


Attachments
Patch v.1 (886 bytes, patch)
2011-01-18 04:49 PST, Gervase Markham [:gerv]
mbeltzner: approval2.0+
dveditz: approval1.9.2.17+
dveditz: approval1.9.1.19+
Details | Diff | Splinter Review

Description User image Gervase Markham [:gerv] 2010-12-28 06:49:09 PST
Dear Sirs,

Hostmaster Ltd. is the ccTLD for .UA domain. We would ask Mozilla to enable IDN for .UA domain.

The IDN delegations Policy (http://www.hostmaster.ua/idn/):

In order to avoid fishing

1. IDN can includes digitals (0-9) and cyrillic characters from the table.
2. IDN must includes even single unique character from the table (unique characters are marked asterisks).

What is the way to inclede the IDN for .UA to your trust list?

Thank you in advance.

Best regards,
Serge Ustenko
Comment 1 User image Gervase Markham [:gerv] 2011-01-18 04:39:45 PST
This policy is fine (and, in fact, takes a new and interesting approach to avoiding whole-script homographs that I have never seen - it mandates every domain name must have a non-homographic letter).

Gerv
Comment 2 User image Gervase Markham [:gerv] 2011-01-18 04:49:16 PST
Created attachment 504675 [details] [diff] [review]
Patch v.1
Comment 3 User image Mike Beltzner [:beltzner, not reading bugmail] 2011-02-16 12:51:54 PST
Comment on attachment 504675 [details] [diff] [review]
Patch v.1

a=beltzner
Comment 4 User image David Baron :dbaron: ⌚️UTC-8 2011-02-27 20:01:22 PST
http://hg.mozilla.org/mozilla-central/rev/39340a271c33
Comment 5 User image Daniel Veditz [:dveditz] 2011-03-11 11:32:02 PST
Comment on attachment 504675 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.16 and 1.9.1.18, a=dveditz

Note You need to log in before you can comment on or make changes to this bug.